org.eclipse.gmt.modisco.infra.query.core.java

## Interface IJavaModelQuery<T extends EObject,R>

Type Parameters:
  `T` - the context type
  `R` - the return type

All Known Implementing Classes:
  GetAbstractMethodDeclarationText, GetAbstractMethodInvocationText, GetConstructorDeclarationText, GetFieldDeclarationText, GetMethodDeclarationText, GetMethodRefText, GetQualifiedName, GetSingleVariableAccessText, GetTypeRef, IsAbstract, IsAccess, IsAccess, IsApplicationException, IsAroundInvoke, IsAssociationOverride, IsAssociationOverrides, IsAttributeOverride, IsAttributeOverrides, IsBasic, IsCacheable, IsCollectionTable, IsColumn, IsColumnResult, IsDeclareRoles, IsDefault, IsDenyAll, IsDeprecated, IsDiscriminatorColumn, IsDiscriminatorValue, IsEJB, IsEJBs, IsElementCollection, IsEmbeddable, IsEmbedded, IsEmbeddedId, IsEntity, IsEntityListeners, IsEntityResult, IsEnumerated, IsExcludeClassInterceptors, IsExcludeDefaultListeners, IsExcludeSuperclassListeners, IsFieldResult, IsFinal, IsGenerated, IsGeneratedValue, IsId, IsIdClass, IsInheritance, IsInit, IsInterceptors, IsJoinColumn, IsJoinColumns, IsJoinTable, IsLob, IsLocal, IsLocalHome, IsManyToMany, IsManyToOne, IsMapKey, IsMapKeyClass, IsMapKeyColumn, IsMapKeyEnumerated, IsMapKeyJoinColumn, IsMapKeyJoinColumns, IsMapKeyTemporal, IsMappedSuperclass, IsMapsId, IsMessageDriven, IsMultipartConfig, IsNamedNativeQueries, IsNamedNativeQuery, IsNamedQueries, IsNamedQuery, IsNative, IsOneToMany, IsOneToOne, IsOrderBy, IsOrderColumn, IsOverridden, IsPermitAll, IsPersistenceContext, IsPersistenceContexts, IsPersistenceProperty, IsPersistenceUnit, IsPersistenceUnits, IsPostActivate, IsPostConstruct, IsPostLoad, IsPostPersist, IsPostRemove, IsPostUpdate, IsPreDestroy, IsPrePassivate, IsPrePersist, IsPreRemove, IsPreUpdate, IsPrimaryKeyJoinColumn, IsPrimaryKeyJoinColumns, IsPrivate, IsProtected, IsPublic, IsQueryHint, IsRemote, IsRemoteHome, IsRemove, IsResource, IsResources, IsRolesAllowed, IsRunAs, IsSecondaryTable, IsSecondaryTables, IsSequenceGenerator, IsSqlResultSetMapping, IsSqlResultSetMappings, IsStateful, IsStateless, IsStatic, IsSuppressWarnings, IsSynchronized, IsTable, IsTableGenerator, IsTemporal, IsTimeout, IsTransactionAttribute, IsTransactionManagement, IsTransient, IsTransient, IsUniqueConstraint, IsUnresolved, IsVersion, IsVolatile, IsWebFilter, IsWebInitParam, IsWebListener, IsWebServlet

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public interface IJavaModelQuery<T extends EObject,R>

Author:
  Gregoire DUPE (Mia-Software)

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`R` `evaluate(T context, ParameterValueList parameterValues)` Deprecated. This method must be overridden by each sub class to implement query evaluation.

### Method Detail

#### evaluate

    R evaluate(T context,
               ParameterValueList parameterValues)
        throws ModelQueryExecutionException

Deprecated.
This method must be overridden by each sub class to implement query evaluation.

Parameters:
  `context` - The query evaluation context
  `parameterValues` - The query parameter values
Returns:
  the result of the type R
Throws:
  `ModelQueryExecutionException`